<template>
	<mind-layout-table :data="ListaRecursos" rowKey="id" 
		:path="$route.path" @delete="onDelete" 
		:row-class-name="estiloInactivos">
			<el-table-column sortable prop="apellido" label="Apellido"  />
			<el-table-column sortable prop="nombre" label="Nombre"  />
			<el-table-column sortable prop="dni" label="DNI"  />
			<!-- <el-table-column prop="activo" label="Activo"  /> -->
			<el-table-column prop="movil" label="Móvil"  />
			<el-table-column prop="fechaIngreso" label="Fecha Ingreso"  />
			<el-table-column prop="fechaEgreso" label="Fecha Egreso"  />
	</mind-layout-table>
</template>

<script>
import store from '@/store/choferes'
import {Rest} from '@/../vendor/mind-core-web'

export default {
  async created() {
		store.idAgencia = 1

		this.api = new Rest({
			uri: `/api/viajes/agencias/${store.idAgencia}/choferes`, 
			state: store.data,
			key: 'id'})

		this.api.FetchAll().catch((error)=>{
			this.$message({
				showClose: true,
				type: 'error',
				message: error
			});
		})
	},
	computed:{
		ListaRecursos() {
			let lista = []
			if(!store.data.RESOURCE_LIST) {
				return []
			}
			for(const r of store.data.RESOURCE_LIST) {
				lista.push({
					...r})
			}
			return lista
		},
	},
	methods: {
		/**
		 * Elimina el recuros especificado
		 * @param id recurso del elemento a eliminar
		 */
		onDelete(id){
			this.api.Delete(id).catch((error)=>{
				this.$message({
					showClose: true,
					type: 'error',
					message: error
				});
			})
		},
		estiloInactivos(recurso) {
			const clase = recurso.row.activo ? '' : 'disabled'
			return clase
		}
	},
	data() {
		return {
			api: null,
		}
	}
	
}
</script>
<style >
	.el-table .disabled {
    /* background: #f0f9eb; */
		text-decoration: line-through;
		color: rgb(158, 154, 154);
	}
</style>
